/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * FilesQuery.cpp
 *
 *  Created on: May 21, 2012
 *      Author: heber
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "Dialog.hpp"
#include "Actions/ValueStorage.hpp"


// File Queries
Dialog::FilesQuery::FilesQuery(std::string title, std::string _description) :
  Query(title, _description)
  {}

Dialog::FilesQuery::~FilesQuery(){}

void Dialog::FilesQuery::setResult(){
  ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
}

